#
# spec file for package perl-libwww-perl
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-libwww-perl
Version:        5.837
Release:        5.7.1
License:        GPL+, Artistic License
%define cpan_name libwww-perl
Summary:        The World-Wide Web library for Perl
Url:            http://search.cpan.org/dist/libwww-perl/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/modules/by-module/libwww/libwww-perl-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE -- disable one perl requires that would be created automatically and we're unable to provide
Patch0:         disable-ghttp.diff
# PATCH-FIX-UPSTREAM -- validating SSL cert by default bnc#693999 (CVE-2011-0633)
Patch1:         libwww-perl-5.837-CVE-2011-0633.patch
BuildRequires:  perl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildArch:      noarch
BuildRequires:  perl-macros
BuildRequires:  perl(Compress::Raw::Zlib)
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(HTML::Parser) >= 3.33
BuildRequires:  perl(HTML::Tagset)
BuildRequires:  perl(IO::Compress::Deflate)
BuildRequires:  perl(IO::Compress::Gzip)
BuildRequires:  perl(IO::Uncompress::Gunzip)
BuildRequires:  perl(IO::Uncompress::Inflate)
BuildRequires:  perl(IO::Uncompress::RawInflate)
BuildRequires:  perl(URI) >= 1.10
Requires:       perl(Compress::Raw::Zlib)
Requires:       perl(IO::Socket::SSL)
Requires:       perl(Digest::MD5)
Requires:       perl(HTML::Parser) >= 3.33
Requires:       perl(HTML::Tagset)
Requires:       perl(IO::Compress::Deflate)
Requires:       perl(IO::Compress::Gzip)
Requires:       perl(IO::Uncompress::Gunzip)
Requires:       perl(IO::Uncompress::Inflate)
Requires:       perl(IO::Uncompress::RawInflate)
Requires:       perl(URI) >= 1.10

%description
The libwww-perl collection is a set of Perl modules which provides a
simple and consistent application programming interface to the World-Wide
Web.  The main focus of the library is to provide classes and functions
that allow you to write WWW clients. The library also contain modules that
are of more general use and even classes that help you implement simple
HTTP servers.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
#disable test that require network connection
mv t/live/jigsaw-chunk.t t/live/jigsaw-chunk.tt
mv t/live/jigsaw-md5.t t/live/jigsaw-md5.tt
mv t/live/jigsaw-md5-get.t t/live/jigsaw-md5-get.tt
%{__make} test

%install
%perl_make_install
# remove .packlist file
%{__rm} -rf %{buildroot}%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf %{buildroot}%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,-)
%doc AUTHORS Changes README README.SSL talk-to-ourself

%changelog
* Thu May 19 2011 vcizek@novell.com
- backported fix for CVE-2011-0633 (bnc#693999)
  recommend IO::Socket::SSL instead of Crypt::SSLeay
* Thu Dec  2 2010 coolo@novell.com
- disable HTTP:GHTTP and ran spec-cleaner
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Sep 21 2010 anicka@suse.cz
- update to 5.837
  * Fix for Encode 2.40
  * Fix Perl syntax error in synopsis
  * Allow ISO 8601 date strings when parsing Apache file listings
* Thu Jul  8 2010 chris@computersalat.de
- fix deps
  o added missing IO::{Unc,C}ompress::* stuff
* Wed Jul  7 2010 chris@computersalat.de
- update to 5.836
  Gisle Aas (1):
  * Fix problem where $resp->base would downcase its return value
- 2010-05-05  Release 5.835
  * simple string can be simplified
  * Make $mess->decoded_content remove XML encoding declarations [RT#52572]
  * Don't allow saving to filenames starting with '.' suggested by server
  * Avoid race between testing for existence of output file and opening the file
  * Minor doc fixup -- wrongly ucfirsted word
  * Use decoded_content in HTTP:Response synopsis [RT#54139]
  * sun.com is no more. rip!
  * Trivial layout tweak to reduce variable scope.
  * Add 'make test_hudson' target
  * Implement alt_charset parameter for decoded_content()
  * Test decoding with different charset parameters
  * lwp-download now needs the -s option to honor the Content-Disposition header
  * Make LWP::MediaTypes::media_suffix case insensitive.
  * Skip XML decoding tests if XML::Simple is not available.
  * Documentation fixes.
  * Fix m_media_type => "xhtml" matching.
  * Make parse_head() apply to data: requests.
  * Documentation spelling fixes.
  * Documentation grammar fixes.
  * Use $uri->secure in m_secure if available.
  * Fix handling of multiple (same) base headers, and parameters in them.
  * Strip out empty lines separated by CRLF
  * Best Practice: avoid indirect object notation
  * Speed up as_string by 4%% by having _sorted_field_names return a reference
  * Speed up scan() a bit. as_string() from this branch is now 6%% faster
  * Port over as_string() optimizations from HTTP::Headers::Fast
  * Link to referenced documentation.
  * Update repository location.
  * Remove needless (and actually harmful) local $_
  * "Perl & LWP" is available online
- recreated by cpanspec 1.78
- noarch
- removed obsolete patch (Content-Disposition)
* Thu May 20 2010 anicka@suse.cz
- fixed filename vulnerability in lwp-download (bnc#606321)
* Wed Jan 13 2010 anicka@suse.cz
- update to 5.834
  * Check for sane default_headers argument [RT#50393]
  * Add $ua->local_address attribute [RT#40912]
  * Test that generation of boundary works [RT#49396]
  * Page does not display the "standard" apache listing any more
  * Remove unneeded executable permissions.
  * Switch compression/decompression to use the IO::Compress/IO::Uncompress and
  * Compress::Raw::Zlib family of modules.
  * lwp-request should use stderr for auth [RT#21620]
  * Deal with cookies that expire far into the future [RT#50147]
  * Deal with cookies that expire at or before epoch [RT#49467]
  * Pass separate type for https to LWP::ConnCache [RT#48899]
  * Improved handling of the User-Agent header [RT#48461]
  * HTTP::Cookies add_cookie_header previous Cookies [RT#46106]
  * Improve diagnostics from LWP::UserAgent::mirror [RT#48869]
  * mirror should die in case X-Died is set [RT#48236]
  * Increase default Net::HTTP max line length to 8k.
  * Fix net test suite.
  * Comment spelling fixes.
  * Fix links to old Netscape cookie specification.
  * Documentation spelling fixes.
  * Improve max line length exceeded/read error messages.
  * Do not warn about seemingly wellformed but unrecognized robots.txt lines.
  * $mess->content_charset would fail for empty content
  * Further restrict what variables env_proxy() process
  * Fix bzip2 content encoding/decoding.
  * send_te() doc grammar fix.
  * Document time2str() behavior with an undefined argument.
  * HTML::Message's content_charset trigger warnings from HTML::Parser [RT#48621]
* Tue Aug  4 2009 anicka@suse.cz
- update to 5.830
  * This release removes callback handlers that were left over on
  the returned HTTP::Responses. This was problematic because it
  created reference loops preventing the Perl garbage collector
  from releasing their memory. Another problem was that Storable
  by default would not serialize these objects any more.
  * This release also adds support for locating HTML::Form inputs by id
  or class attribute; for instance $form->value("#foo", 42) will set
  the value on the input with the ID of "foo".
  * bugfixes
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 28 2009 chris@computersalat.de
- update to 5.828
  * Less noisy behaviour when we can't download the documents
  * Restore perl-5.6 compatiblity [RT#47054]
  * Don't decode US-ASCII and ISO-8859-1 content
  * Some versions of Encode don't support UTF-16-BE [RT#47152]
  * Spelling fixes.
- update to 5.827
  * Added lwp-dump script
  * Replace calls to $req->url with $req->uri
  * Also need to encode strings in the latin1 range
  * Ignore the value set for file inputs [RT#46911]
  * Add docs to lwp-dump
  * Don't let lwp-dump follow redirects
  * Support --method options
  * Implement the --agent option
  * Dictionary order for the option docs; document --method
  * Merge branch 'dump'
  * Files are passed as an array and we must not stringify it.
  * Add content_charset method to HTTP::Message
  * Start guessing the charset for a message
  * Let content_charset guess the charset to use for decoded_content
  * Specify what's missing for the XML and HTML case
  * Provide charset parameter for HTML::Form->parse()
  * Make content_charset sniff for <meta> elements specifying the charset.
  * Determine charset of XML documents
  * Get rid of the _trivial_http_get() implementation
  * Update the bundled media.types file
  * LWP::Simple::get() now returns decoded_content [RT#44435]
  * Implement content_type_charset method for HTTP::Headers
  * Implement content_is_text method for HTTP::Headers
  * Make use of content_is_text and content_type_charset in decoded_content
  * Don't let the parse_head callback append to the HTTP headers
  * Don't set Range header on request when max_size is used [RT#17208]
  * Still show client headers for internal responses
  * Document Client-Warning: Internal response
  * Don't use 'no' as example domain for no_proxy docs [RT#43728]
  * Drop exit from the Makefile.PL [RT#43060]
  * Merge branch 'content_charset'
  * Support "accept-charset" attribute in HTML::Form
  * new tests for max_size and 206 responses [RT#46230]
  * Reformulation of Client-Warning: Internal documentation
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o fixed deps
* Tue Apr 28 2009 anicka@suse.cz
- update to 5.826
  * Avoid returning stale Content-Type header after message parts
  have been updated
  * Don't let content saved to file be affected by the $\ setting
  * Issues around multipart boundaries
  * Ignore random _proxy env variables, allow only valid schemes
  * README.SSL is not anymore available at the linpro.no URL.
  * Make LWP::UserAgent constructor honor the default_headers
  option
* Mon Feb 23 2009 anicka@suse.cz
- update to 5.825
  * Fixup test failure with perl-5.8.8 and older; qr/$/m doesn't work
  * Make format_request() ensure that it returns bytes [RT#42396]
  * Force bytes in all the format_* methods.
  * Ignore Sitemap: lines in robots.txt [RT#42420]
  * Refactor; use variable to hold the test port
  * Add redirects method to HTTP::Message
  * Setting $ua->max_redirect(0) didn't work [RT#40260]
  * Convert files to UTF-8
  * HTTP::Cookies destructor should not clobber $! and other globals.
  * Deal with the Encode module distributed with perl-5.8.0
  * Avoid failure if 127.0.0.1:8333 is in use [RT#42866]
  * Documentation improvements, spelling fixes.
* Tue Jan 20 2009 anicka@suse.cz
- update to 5.823
  * Bring back the LWP::Debug code
  * Add documentation section about 'Network traffic monitoring'.
  * Typo fixes
  * Want to ensure we get a single value back here.
* Sat Dec 20 2008 coolo@suse.de
- update to 5.822
    Various bug fixes
    Should store "wire" headers field names with _ without translation.
    Test HTTP::Request->parse().
    Rename the HTTP::Status constants to have HTTP_ prefix
    Add strict mode to HTML::Form
    Add content_is_xml method
    Make split_header_words() lower case returned tokens/keys
    Add decode() method to HTTP::Message
    Add encode() method to HTTP::Message
    Allow multiple fields to be set with push_header().
    Faster push_header()
    Add dump method to HTTP::Message.
    Add support for x-bzip2 encoding; fix bzip2 decoding.
    Add send_header method to HTTP::Daemon
    Make the lwp-request User-Agent string include the LWP version.
    Calculation of current_age with missing Client-Date.
    More correct matching of 'max-age' in freshness_lifetime method
    The freshness_lifetime method now support options to control its heuristics
    The Content-Length and Content-MD5 headers are no longer valid after encode/decode
    Skip LWP test when fork() is unimplemented
    A more modern user_agent example.
    Make it possible to unset the proxy settings again
    Deprecate LWP::Debug
* Mon Nov 17 2008 lnussel@suse.de
- fix https losing characters (bnc#445601,
  http://rt.cpan.org/Public/Bug/Display.html?id=40187)
* Mon Oct  6 2008 anicka@suse.cz
- update to 5.816
  * Add missing binmode()
  * Doc tweaks
  * We don't need to build the docs to run the tests.
  * Style tweaks.
  * The jigsaw service isn't up to much good these days.
  * HTTP::Cookies produces warnings for undefined cookie param names
  * Typo fix; HTTP::Message will never include x-bzip2 in
  Accept-Encoding
  * Added HTTP::Config module
  * Add methods to configure processing handlers.
  * 100 Continue response not complete.
  * Use 3-arg open when response content to files.
  * Make the show_progress attribute official (by documenting it).
  * Start using handlers for driving the inner logic of LWP::UserAgent.
  * Expose the content_is_html and content_is_xhtml methods
  from HTTP::Headers.
  * Make credentials method able to get/set values.
  * An auth handler per realm.
  * Match proxy setting for request.
  * Set up separate handler for adding proxy authentication.
  * Add request_preprepare to be able to initialize proxy early enough.
  * Smarter get_my_handler() that can also create handlers.
  * Refactor; introduce run_handlers method
  * Pass in handler hash to the handler callback.
  * Don't let version=1 override behaviour if specified with a plan
  Set-Cookie header.
  * Remove handler when we don't have a username/password for the realm.
  * Make tests use Test.pm
  * Double-check that username or password has changed after
  a failed login.
  * Update Digest Authen to subclass Basic.
  * Avoid running out of filehandles with DYNAMIC_FILE_UPLOAD.
  * Fixed parsing of header values starting with ':'
  * Documentation typo fixes
* Fri Jul 25 2008 anicka@suse.cz
- update to 5.814
  * Typo fix.
  * Add HTTP::Message::decodable()
  * Use decoded_content in the synposis
  * Avoid adding an empty first part in $mess->add_part()
  * Get rid of all the manual dependency tests.
  * Simplify the Makefile.PL (no interactivity)
  * Provide DELETE method in HTTP::Request::Common
  * Checkbox picks up nearby text in description of alternates
  * HTML::Form::possible_values() should not returned disabled values
  * File::Listing documentation claimed only 'unix' format was supported
  * File::Listing only support English locales
  * Make common-req.t use Test.pm
  * Typo; CAN_TALK_TO_OUTSELF
  * Fix up File::Listings fallback to dosftp
  * File::Listing parse failure on BSD Linux based systems
* Thu Jun 19 2008 anicka@suse.cz
- update to 5.813
  * RobotUA constructor ignores delay, use_sleep
  * Add HTTP::Response->filename
  * Better diagnostics when the HTML::TokeParser constructor fails
  * Multiple forms with same-named <select> parse wrongly
  * Simplified Net::HTTP::Methods constructor call.
  * Croak if Net::HTTP constructor called with no argument.
  * Avoid calling $self->peerport to figure out what the port is.
  * Wrong treatment of qop value in Digest Authentication
  * Avoid "used only once" warning for $Config::Config.
  * Make HTTP::Request::Common::PUT set Content-Length header
  * Added the add_content_utf8 method to HTTP::Message.
  * Retry syscalls when they fail with EINTR or EAGAIN
  * Allow HTTP::Content content that can be downgraded to bytes.
  * HTML::Form does not recognise multiple select items with same
  name
  * Document how HTTP::Status codes correspond to the classification
  functions
  * Allow 100, 204, 304 responses to have content
  * HTTP::Request::Common::POST suppressed filename="0" in
  Content-Disposition
* Wed Apr  9 2008 anicka@suse.cz
- update to 5.810
  * Small documentation issues
  * Explain $netloc argument to $ua->credentials
  * Make lwp-request honour option -b while dumping links
  * Ignore params for date convenience methods
  * Get rid of all the old CVS $Keyword:...$ templates.
  Set $VERSION to 5.810.
  * Complement the HTTP::Status codes
  * Don't allow HTTP::Message content to be set to Unicode strings.
  * Refactor test for Encode.pm
  * Trigger HTML::HeadParser for XHTML
  * Escape status line in error_as_HTML, convert to lowercase
  * Protocol/file.pm: postpone load of URI::Escape and HTML::Entities
  * HTML::Form Module and <button> element clicks
  * HTTP::Cookies handle malformed empty Set-Cookie badly
  * [HTTP::Request::Common] Does not handle filenames containing "
  * Allow malformed chars in $mess->decoded_content
  * Croak if LWP::UserAgent is constructed with hash ref as argument
  * Disabled, checked radiobutton being submitted
  * warn if TextInput's maxlength exceeded
* Mon Oct  8 2007 anicka@suse.cz
- update to 5.808
  * Get rid of t/live/validator test.  Too much JavaScript madness
    for it to be a sane LWP test.
  * bugfixes
* Wed Jul 25 2007 anicka@suse.cz
- update to 5.806
  * Added progress callback to LWP::UserAgent.
  * Add support for HTTP Expect header to HTTP::Daemon
  * Fix t/base/message.t so tests are skipped if Encode is not
  installed.
  * Add HTML::Tagset as a prerequisite to Makefile.PL
  * bugfixes
* Wed Oct 18 2006 anicka@suse.cz
- add perl-Crypt-SSLeay to Recommends (#211537)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 anicka@suse.cz
- update to 5.805
* Thu Feb 17 2005 mjancar@suse.cz
- update top 5.803
* Thu Feb 26 2004 mjancar@suse.cz
  update to 5.76
* Wed Oct 22 2003 mjancar@suse.cz
- update to 5.73
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 mjancar@suse.cz
- fix filelist
* Tue Jun 10 2003 mjancar@suse.cz
- update to 5.69
- don't package MANIFEST
* Mon May 19 2003 ro@suse.de
- remove perllocal.pod
* Mon Jul 29 2002 mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Fri Jul 12 2002 prehak@suse.cz
- update to version 5.65
- enabled make test
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Wed Jan 16 2002 rvasice@suse.cz
- fixed needeforbuild, disabled make test
* Tue Jan 15 2002 rvasice@suse.cz
- update to version 5.63
* Tue Aug 14 2001 rvasice@suse.cz
- update to version 5.53
* Fri Apr 20 2001 cihlar@suse.cz
- on ia64 removed tests which starts and then connect
  server
* Mon Mar 26 2001 cihlar@suse.cz
- added make test
* Wed Mar 14 2001 cihlar@suse.cz
- update to version 5.50
* Tue Nov 14 2000 cihlar@suse.cz
- renamed perl_lw3 -> perl-libwww-perl
* Thu Aug 24 2000 cihlar@suse.cz
- updated to version 5.48
- bzipped sources
* Mon Aug 21 2000 ro@suse.de
- adapted for perl-5.6
* Wed Jul 12 2000 cihlar@suse.cz
- fixed bug with sort
* Mon Jun 19 2000 ro@suse.de
-  fixed requires and neededforbuild
* Mon Jun 19 2000 cihlar@suse.cz
- package created
